cURL
curl --request GET \
--url https://api.helohq.com/broadcasts/{id}/failures \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk.Broadcasts;
var paginatedResponseOfBroadcastFailure = await helo.Broadcasts.ListFailures("550e8400-e29b-41d4-a716-446655440000", limit: 10, offset: 10);Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
id = "550e8400-e29b-41d4-a716-446655440000"
opts = {
limit: 10,
offset: 10
}
Helo::Broadcasts.list_failures(id, opts)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
paginated_response_of_broadcast_failure = client.broadcasts.list_failures(
"550e8400-e29b-41d4-a716-446655440000",
limit=10,
offset=10,
)package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
params := &helo.BroadcastsListFailuresParams{
Limit: 10,
Offset: 10,
}
result, err := client.Broadcasts.ListFailures(ctx, "550e8400-e29b-41d4-a716-446655440000", params)
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.broadcasts.listFailures(
"550e8400-e29b-41d4-a716-446655440000",
{
limit: 10,
offset: 10,
},
);{
"totalCount": 123,
"results": [
{
"recipients": {
"to": [
{
"email": "<string>",
"name": "<string>"
}
],
"cc": [
{
"email": "<string>",
"name": "<string>"
}
],
"bcc": [
{
"email": "<string>",
"name": "<string>"
}
]
},
"messageIndex": 123,
"errorCode": "<string>",
"errorMessage": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Broadcasts
List failed broadcast messages
Returns messages that could not be delivered due to permanent errors (e.g. invalid addresses, domain issues). Transient errors that were retried successfully do not appear here.
GET
/
broadcasts
/
{id}
/
failures
cURL
curl --request GET \
--url https://api.helohq.com/broadcasts/{id}/failures \
--header 'Authorization: Bearer <token>'using HeloEmail.Sdk.Broadcasts;
var paginatedResponseOfBroadcastFailure = await helo.Broadcasts.ListFailures("550e8400-e29b-41d4-a716-446655440000", limit: 10, offset: 10);Helo.configure do |config|
config.api_key = ENV.fetch("HELO_API_KEY")
end
id = "550e8400-e29b-41d4-a716-446655440000"
opts = {
limit: 10,
offset: 10
}
Helo::Broadcasts.list_failures(id, opts)import sdk_helo_email as helo
client = helo.Helo() # reads HELO_API_KEY from the environment
paginated_response_of_broadcast_failure = client.broadcasts.list_failures(
"550e8400-e29b-41d4-a716-446655440000",
limit=10,
offset=10,
)package main
import (
"context"
"log"
"os"
"github.com/helo-email/helo-sdk-go"
)
func main() {
client := helo.NewHelo(os.Getenv("HELO_API_KEY"))
ctx := context.Background()
params := &helo.BroadcastsListFailuresParams{
Limit: 10,
Offset: 10,
}
result, err := client.Broadcasts.ListFailures(ctx, "550e8400-e29b-41d4-a716-446655440000", params)
if err != nil {
log.Fatal(err)
}
_ = result
}import Helo from "@helo-email/sdk";
const apiKey = process.env.HELO_API_KEY;
const helo = new Helo(apiKey);
const result = await helo.broadcasts.listFailures(
"550e8400-e29b-41d4-a716-446655440000",
{
limit: 10,
offset: 10,
},
);{
"totalCount": 123,
"results": [
{
"recipients": {
"to": [
{
"email": "<string>",
"name": "<string>"
}
],
"cc": [
{
"email": "<string>",
"name": "<string>"
}
],
"bcc": [
{
"email": "<string>",
"name": "<string>"
}
]
},
"messageIndex": 123,
"errorCode": "<string>",
"errorMessage": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"instance": "<string>",
"status": 123,
"code": "<string>",
"detail": "<string>",
"requestId": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The broadcast ID.
Query Parameters
Results per page. Min 1, max 500.
Required range:
1 <= x <= 500Pagination offset.
Required range:
x >= 0